xmlsax Class Reference

Inherits sax.

Inherited by xmldom.

## Public Member Functions

| xmlsax ()
virtual | ~xmlsax ()
Public Member Functions inherited from sax
| sax ()
virtual | ~sax ()
virtual bool | parseFile (const char *filename)
virtual bool | parseString (const char *string)
const char * | getError ()

## Protected Member Functions

virtual bool | tagStart (const char *ns, const char *name)
virtual bool | attributeName (const char *name)
virtual bool | attributeValue (const char *value)
virtual bool | text (const char *string)
virtual bool | tagEnd (const char *ns, const char *name)
virtual bool | comment (const char *string)
virtual bool | cdata (const char *string)

## Detailed Description

The xmlsax class is a base class for an SAX-style parser for XML data. To use this class, you should create a class that inherits from it and implements its protected virtual methods.

## Constructor & Destructor Documentation

## xmlsax()

xmlsax::xmlsax | ( |  | ) |

Creates an instance of the xmlsax class.

## ~xmlsax()

virtual xmlsax::~xmlsax | ( |  | ) |

virtual

Deletes this instance of the xmlsax class.

## Member Function Documentation

## attributeName()

virtual bool xmlsax::attributeName | ( | const char * | name | ) |

protected virtual

Gets called when an attribute name is parsed.

Reimplemented in xmldom.

## attributeValue()

virtual bool xmlsax::attributeValue | ( | const char * | value | ) |

protected virtual

Gets called when an attribute value is parsed.

Reimplemented in xmldom.

## cdata()

virtual bool xmlsax::cdata | ( | const char * | string | ) |

protected virtual

Gets called when cdata is parsed.

Reimplemented in xmldom.

## comment()

virtual bool xmlsax::comment | ( | const char * | string | ) |

protected virtual

Gets called when a comment is parsed.

Reimplemented in xmldom.

## tagEnd()

virtual bool xmlsax::tagEnd | ( | const char * | ns,
|  | const char * | name
| ) |  |

protected virtual

Gets called when an end tag is parsed.

Reimplemented in xmldom.

## tagStart()

virtual bool xmlsax::tagStart | ( | const char * | ns,
|  | const char * | name
| ) |  |

protected virtual

Gets called when a start tag is parsed.

Reimplemented in xmldom.

## text()

virtual bool xmlsax::text | ( | const char * | string | ) |

protected virtual

Gets called when a block of text is parsed.

Reimplemented in xmldom.